JBoss API: Class TyrexTransactionPropagationContextManager

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.tm.plugins.tyrex
Class TyrexTransactionPropagationContextManager

    java.lang.Object
      |
      +--org.jboss.tm.plugins.tyrex.TyrexTransactionPropagationContextManager

All Implemented Interfaces:
  TransactionPropagationContextFactory, TransactionPropagationContextImporter

public class TyrexTransactionPropagationContextManager
extends java.lang.Object
implements TransactionPropagationContextFactory, TransactionPropagationContextImporter

This object implements the TransactionPropagationContext importer and exporter for JBoss.

Version:
  $Revision: 1.1.4.1 $
Author:
  Anatoly Akkerman
See Also:
  `TransactionManagerService`

Constructor Summary
`protected` | `TyrexTransactionPropagationContextManager()`

Method Summary
`java.lang.Object` | `getTransactionPropagationContext()` Return a transaction propagation context associated with transaction that the calling thread came in with
`java.lang.Object` | `getTransactionPropagationContext(javax.transaction.Transaction tx)` Return a transaction propagation context for the transaction given as an argument, or `null` if the argument is `null` or of a type unknown to this factory.
`javax.transaction.Transaction` | `importTransactionPropagationContext(java.lang.Object tpc)` Import the transaction propagation context into the transaction manager, and return the resulting transaction.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TyrexTransactionPropagationContextManager

    protected TyrexTransactionPropagationContextManager()

Method Detail

### getTransactionPropagationContext

    public java.lang.Object getTransactionPropagationContext()

  Return a transaction propagation context associated with transaction that the calling thread came in with
  Specified by:
    `getTransactionPropagationContext` in interface `TransactionPropagationContextFactory`

### getTransactionPropagationContext

    public java.lang.Object getTransactionPropagationContext(javax.transaction.Transaction tx)

  Return a transaction propagation context for the transaction given as an argument, or `null` if the argument is `null` or of a type unknown to this factory.
  Specified by:
    `getTransactionPropagationContext` in interface `TransactionPropagationContextFactory`

### importTransactionPropagationContext

    public javax.transaction.Transaction importTransactionPropagationContext(java.lang.Object tpc)

  Description copied from interface: `TransactionPropagationContextImporter`
  Import the transaction propagation context into the transaction manager, and return the resulting transaction. If this transaction propagation context has already been imported into the transaction manager, this method simply returns the `Transaction` representing the transaction propagation context in the local VM. Returns `null` if the transaction propagation context is `null`, or if it represents a `null` transaction.
  Specified by:
    `importTransactionPropagationContext` in interface `TransactionPropagationContextImporter`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.